## pyosmium 2.15.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(pyosmium)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(Osmium 2.14 REQUIRED COMPONENTS io pbf xml)
include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS} ${PROTOZERO_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/lib)

if(MSVC)
    set(PYBIND11_CPP_STANDARD /std:c++14)
else()
    set(PYBIND11_CPP_STANDARD -std=c++11)
endif()

if(PYBIND11_PREFIX)
    add_subdirectory(${PYBIND11_PREFIX} contrib/pybind11)
else()
    find_package(pybind11 2.2 REQUIRED)
endif()

find_package(Boost 1.55 REQUIRED COMPONENTS)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS})

function(set_module_output module outdir)
    set_target_properties(${module} PROPERTIES
                          LIBRARY_OUTPUT_DIRECTORY
                              ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${outdir})
    # windows needs a build type variant
    foreach(config ${CMAKE_CONFIGURATION_TYPES})
        string(TOUPPER ${config} config)
        set_target_properties(${module} PROPERTIES
                              LIBRARY_OUTPUT_DIRECTORY_${config}
                                  ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${outdir})
    endforeach()
endfunction()

set(PYOSMIUM_MODULES geom index io)

foreach(PYMOD geom index io)
    pybind11_add_module(${PYMOD} lib/${PYMOD}.cc)
    set_module_output(${PYMOD} osmium)
    target_link_libraries(${PYMOD} PRIVATE ${OSMIUM_LIBRARIES})
    if(APPLE)
        set_target_properties(${PYMOD} PROPERTIES CXX_VISIBILITY_PRESET "default")
    endif()
endforeach()

pybind11_add_module(_osm lib/osm.cc)
set_module_output(_osm osmium/osm)
pybind11_add_module(_osmium
                    lib/osmium.cc
                    lib/merge_input_reader.cc
                    lib/simple_writer.cc
                    lib/write_handler.cc)
set_module_output(_osmium osmium)
pybind11_add_module(_replication lib/replication.cc)
set_module_output(_replication osmium/replication)

target_link_libraries(_osmium PRIVATE ${OSMIUM_LIBRARIES})
target_link_libraries(_replication PRIVATE ${OSMIUM_LIBRARIES})

# workaround for https://github.com/pybind/pybind11/issues/1272
if(APPLE)
    set_target_properties(_osmium PROPERTIES CXX_VISIBILITY_PRESET "default")
    set_target_properties(_osm PROPERTIES CXX_VISIBILITY_PRESET "default")
endif()

## pyosmium 2.3.0

=== debian/changelog ===
pyosmium (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependencies on osmpbf & protobuf.
  * Bump minimum required libosmium2-dev to 2.3.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 21:18:37 +0200

pyosmium (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Handle other extensions in filenamemangle.
  * Require at least libosmium version 2.2.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jul 2015 17:11:47 +0200

pyosmium (2.1.0-2) unstable; urgency=medium

  * Ignore test failures instead of failing the entire build.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jun 2015 23:15:44 +0200

pyosmium (2.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #779932)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jun 2015 23:32:42 +0200

=== debian/control ===
Source: pyosmium
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libboost-dev,
               libboost-python-dev,
               libbz2-dev,
               libexpat1-dev,
               libgdal-dev,
               libgeos++-dev,
               libosmium2-dev (>= 2.3.0),
               libsparsehash-dev,
               python-all-dev,
               python-setuptools,
               python-nose,
               python3-all-dev,
               python3-setuptools,
               python3-nose,
               python3-sphinx,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
Vcs-Git: git://anonscm.debian.org/pkg-grass/pyosmium.git
Homepage: http://osmcode.org/pyosmium/

Package: python-pyosmium
Architecture: any
Section: python
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
Suggests: pyosmium-doc
Description: Osmium library bindings for Python
 The PyOsmium module allows you to access some of the features of the Osmium
 library from Python code.
 .
 PyOsmium has extensive support for all types of OSM entities: nodes, ways,
 relations, and changesets. It allows reading from OSM files in XML and PBF
 formats, including change files and full history files. Its easy to use
 handler interface allows you to quickly write data filtering and conversion
 functions.
 .
 This package contains the PyOsmium module for Python 2.

Package: python3-pyosmium
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python3:Provides}
Suggests: pyosmium-doc
Description: Osmium library bindings for Python 3
 The PyOsmium module allows you to access some of the features of the Osmium
 library from Python code.
 .
 PyOsmium has extensive support for all types of OSM entities: nodes, ways,
 relations, and changesets. It allows reading from OSM files in XML and PBF
 formats, including change files and full history files. Its easy to use
 handler interface allows you to quickly write data filtering and conversion
 functions.
 .
 This package contains the PyOsmium module for Python 3.

Package: pyosmium-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Description: Osmium library bindings for Python - Documentation
 The PyOsmium module allows you to access some of the features of the Osmium
 library from Python code.
 .
 PyOsmium has extensive support for all types of OSM entities: nodes, ways,
 relations, and changesets. It allows reading from OSM files in XML and PBF
 formats, including change files and full history files. Its easy to use
 handler interface allows you to quickly write data filtering and conversion
 functions.
 .
 This package contains the PyOsmium documentation.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=pyosmium

%:
	dh $@ \
	    --buildsystem pybuild \
	    --with python2,python3 \
	    --parallel

override_dh_clean:
	dh_clean
	
	$(RM) -r doc/_build

override_dh_auto_build-indep:
	dh_auto_build --indep

	(cd doc && make html)

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd test && {interpreter} run_tests.py" dh_auto_test || echo "Ignoring test failures"

override_dh_install:
	dh_install

	# Remove embedded jquery.js in favor of libjs-jquery
	$(RM) debian/*/usr/share/doc/*/html/_static/jquery.js

	# Remove embedded underscore.js in favor of libjs-underscore
	$(RM) debian/*/usr/share/doc/*/html/_static/underscore.js

## pyosmium 2.6.0

=== debian/changelog ===
pyosmium (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump minimum required libosmium2-dev to 2.6.0.
  * Update copyright file, update years for Sarah Hoffmann.
  * Add patch to fix 'allows one to' typo.
  * Update lintian override for renamed modules.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Feb 2016 20:50:23 +0100

pyosmium (2.5.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Dec 2015 14:22:05 +0100

pyosmium (2.5.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.5.4.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 22:04:35 +0100

pyosmium (2.5.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.5.3.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Nov 2015 23:10:05 +0100

pyosmium (2.4.1-2) unstable; urgency=medium

  * Don't ignore test failures, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 17:04:03 +0200

pyosmium (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 16:38:11 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.3.0),
+               libosmium2-dev (>= 2.6.0),
                libsparsehash-dev,
                python-all-dev,
                python-setuptools,
@@ -22,8 +22,8 @@
                python3-sphinx,
                zlib1g-dev
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/pyosmium.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git
 Homepage: http://osmcode.org/pyosmium/
 
 Package: python-pyosmium

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="cd test && {interpreter} run_tests.py" dh_auto_test || echo "Ignoring test failures"
+	PYBUILD_TEST_ARGS="cd test && {interpreter} run_tests.py" dh_auto_test
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*)?v(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyosmium-$1.$2/ \
https://github.com/osmcode/pyosmium/releases \
(?:.*/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyosmium 2.7.1

=== debian/changelog ===
pyosmium (2.7.1-3) unstable; urgency=medium

  * Add patch to fix test_location_tuple failure.
    (closes: #828979)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jul 2016 23:42:48 +0200

pyosmium (2.7.1-2) unstable; urgency=medium

  * Add patch to fix test failure on 32-bit architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Jun 2016 10:11:28 +0200

pyosmium (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to handle more tag conventions in filenamemangle.
  * Bump minimum required libosmium2-dev to 2.7.1.
  * Drop allows-to-typo.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jun 2016 17:19:44 +0200

pyosmium (2.6.0-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable bindnow hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 17:16:24 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.6.0),
+               libosmium2-dev (>= 2.7.1),
                libsparsehash-dev,
                python-all-dev,
                python-setuptools,
@@ -21,7 +21,7 @@
                python3-nose,
                python3-sphinx,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git
 Homepage: http://osmcode.org/pyosmium/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 export PYBUILD_NAME=pyosmium

## pyosmium 2.11.0

=== debian/changelog ===
pyosmium (2.11.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Jan 2017 19:58:11 +0100

pyosmium (2.11.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Jan 2017 18:45:04 +0100

pyosmium (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included upstream.
  * Update copyright years for Sarah Hoffmann.
  * Bump minimum required libosmium2-dev to 2.11.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Jan 2017 21:47:38 +0100

pyosmium (2.10.2-2~exp1) experimental; urgency=medium

  * Add upstream patch to fix FTBFS with libosmium 2.11.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Jan 2017 13:41:56 +0100

pyosmium (2.10.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Nov 2016 10:35:25 +0100

pyosmium (2.10.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Nov 2016 11:29:13 +0100

pyosmium (2.10.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.10.2.
  * Drop applying-typo.patch, applied upstream.
  * Set PYTHONPATH for documentation generation.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2016 18:54:24 +0100

pyosmium (2.9.0-2) unstable; urgency=medium

  * Add patch to fix 'applying' typo.
  * Rebuild for boost1.62 transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 14:35:46 +0100

pyosmium (2.9.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Sep 2016 07:17:10 +0200

pyosmium (2.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.9.0.
  * Drop © character from copyright statements in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Sep 2016 09:50:07 +0200

pyosmium (2.8.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Aug 2016 11:53:54 +0200

pyosmium (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.8.0.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Aug 2016 15:21:21 +0200

pyosmium (2.7.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jun 2016 20:26:34 +0200

pyosmium (2.6.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Feb 2016 19:52:40 +0100

pyosmium (2.5.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Dec 2015 12:27:15 +0100

pyosmium (2.4.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Sep 2015 08:33:33 +0200

pyosmium (2.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Jul 2015 21:49:04 +0200

pyosmium (2.1.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jul 2015 19:25:06 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.7.1),
+               libosmium2-dev (>= 2.11.0),
                libsparsehash-dev,
                python-all-dev,
                python-setuptools,
@@ -23,7 +23,7 @@
                zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git -b jessie-backports
 Homepage: http://osmcode.org/pyosmium/
 
 Package: python-pyosmium

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 override_dh_auto_build-indep:
 	dh_auto_build --indep
 
-	(cd doc && make html)
+	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/pythonX.Y_`py3versions -vd`/build make html)
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \

## pyosmium 2.11.3

=== debian/changelog ===
pyosmium (2.11.3-1) stretch; urgency=medium

  * New upstream bugfix release.
    - handler functions not called when using replication service (#38)
    - handler functions not called when using Reader instead of file

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Aug 2017 15:10:04 +0200

pyosmium (2.11.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Prevent unnecessary calls to callbacks
    - Correctly throw KeyError in taglist accessor
    - Fix output type of index.map_types() function
    - Don't overgrow writer buffers over requested size
  * Update branch in gbp.conf & Vcs-Git URL.
  * Limit watch file to 2.11.x releases.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 May 2017 09:51:21 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git -b jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git -b stretch
 Homepage: http://osmcode.org/pyosmium/
 
 Package: python-pyosmium

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyosmium-$1.$2/ \
https://github.com/osmcode/pyosmium/releases \
(?:.*/)?(?:rel|v|pyosmium)[\-\_]?(2\.11\.\d[\d\-\.]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyosmium 2.12.3

=== debian/changelog ===
pyosmium (2.12.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Jul 2017 12:53:18 +0200

pyosmium (2.12.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 20:19:50 +0200

pyosmium (2.12.3-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 12:21:53 +0200

pyosmium (2.12.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 May 2017 22:19:07 +0200

pyosmium (2.12.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.2.
  * Update hardening-no-fortify-functions overrides for index.so.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 May 2017 09:03:25 +0200

pyosmium (2.12.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.1.
  * Build & install upstream manpages for pyosmium utilities.
  * Drop unused override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Apr 2017 07:22:35 +0200

pyosmium (2.12.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.0.
  * Add pyosmium binary package for utilities.
  * Add man pages for pyosmium utilities.
  * Add unused override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Mar 2017 18:32:54 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.11.0),
+               libosmium2-dev (>= 2.12.2),
                libsparsehash-dev,
                python-all-dev,
                python-setuptools,
@@ -20,11 +20,28 @@
                python3-setuptools,
                python3-nose,
                python3-sphinx,
-               zlib1g-dev
-Standards-Version: 3.9.8
+               python3-sphinxcontrib.autoprogram
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git -b stretch
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git -b stretch-backports
 Homepage: http://osmcode.org/pyosmium/
+
+Package: pyosmium
+Architecture: all
+Section: utils
+Depends: python-pyosmium (>= ${source:Version}),
+         ${misc:Depends}
+Description: Osmium library bindings for Python - utilities
+ The PyOsmium module allows you to access some of the features of the Osmium
+ library from Python code.
+ .
+ PyOsmium has extensive support for all types of OSM entities: nodes, ways,
+ relations, and changesets. It allows reading from OSM files in XML and PBF
+ formats, including change files and full history files. Its easy to use
+ handler interface allows you to quickly write data filtering and conversion
+ functions.
+ .
+ This package contains the PyOsmium utilities.
 
 Package: python-pyosmium
 Architecture: any

## pyosmium 2.12.4

=== debian/changelog ===
pyosmium (2.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Aug 2017 00:35:31 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-sphinxcontrib.autoprogram
 Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git -b stretch-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git
 Homepage: http://osmcode.org/pyosmium/
 
 Package: pyosmium

## pyosmium 2.13.0

=== debian/changelog ===
pyosmium (2.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.13.1.
  * Add python{,3}-mock to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Aug 2017 23:44:01 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,15 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.12.2),
+               libosmium2-dev (>= 2.13.1),
                libsparsehash-dev,
                python-all-dev,
                python-setuptools,
+               python-mock,
                python-nose,
                python3-all-dev,
                python3-setuptools,
+               python3-mock,
                python3-nose,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # DH_VERBOSE := 1
 
 # Enable hardening build flags
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pyosmium
 
@@ -22,10 +22,14 @@
 	dh_auto_build --indep
 
 	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/pythonX.Y_`py3versions -vd`/build make html)
+	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/pythonX.Y_`py3versions -vd`/build make man)
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd test && {interpreter} run_tests.py" dh_auto_test
+
+override_dh_auto_install:
+	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyosmium-$1.$2/ \
https://github.com/osmcode/pyosmium/releases \
(?:.*/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyosmium 2.14.3

=== debian/changelog ===
pyosmium (2.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch to fix i386 test failure, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Aug 2018 22:54:21 +0200

pyosmium (2.14.2-3) unstable; urgency=medium

  * Add upstream patch to fix test failure on i386.
  * Don't ignore test failures on i386 & hurd-i386.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Aug 2018 21:34:17 +0200

pyosmium (2.14.2-2) unstable; urgency=medium

  * Ignore test failures on i386 & hurd-i386.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Aug 2018 18:37:29 +0200

pyosmium (2.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Update osmcode.org URLs to use HTTPS.
  * Bump Standards-Version to 4.2.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Bump minimum required libosmium2-dev to 2.14.2.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Aug 2018 07:19:38 +0200

pyosmium (2.14.1-2) unstable; urgency=medium

  * Strip trailing whitespace from control & rules files.
  * Bump Standards-Version to 4.1.5, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jul 2018 14:46:25 +0200

pyosmium (2.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Add module import tests to autopkgtest configuration.
  * Bump Standards-Version to 4.1.4, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Apr 2018 07:20:45 +0200

pyosmium (2.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.3, no changes.
  * Bump minimum required libosmium2-dev to 2.14.0.
  * Update pybuild build directory path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Mar 2018 21:54:05 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.13.1),
+               libosmium2-dev (>= 2.14.2),
                libsparsehash-dev,
                python-all-dev,
                python-setuptools,
@@ -23,10 +23,10 @@
                python3-nose,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyosmium.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyosmium.git
-Homepage: http://osmcode.org/pyosmium/
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
+Homepage: https://osmcode.org/pyosmium/
 
 Package: pyosmium
 Architecture: all
@@ -102,4 +102,3 @@
  functions.
  .
  This package contains the PyOsmium documentation.
-

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 override_dh_auto_build-indep:
 	dh_auto_build --indep
 
-	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/pythonX.Y_`py3versions -vd`/build make html)
-	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/pythonX.Y_`py3versions -vd`/build make man)
+	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/cpython3_`py3versions -vd`_pyosmium/build make html)
+	(cd doc && PYTHONPATH=$(CURDIR)/.pybuild/cpython3_`py3versions -vd`_pyosmium/build make man)
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
@@ -39,4 +39,3 @@
 
 	# Remove embedded underscore.js in favor of libjs-underscore
 	$(RM) debian/*/usr/share/doc/*/html/_static/underscore.js
-

## pyosmium 2.15.1

=== debian/changelog ===
pyosmium (2.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Jan 2019 06:59:10 +0100

pyosmium (2.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Add build dependencies.
  * Explicitly set distutils for pybuild build system.
  * Enable verbose CMake output.
  * Drop obsolete libboost-python-dev build dependency.
  * Append CPPFLAGS to CXXFLAGS.
  * Drop unusued overrides for hardening-no-fortify-functions.
  * Update copyright years for Sarah Hoffmann.
  * Bump minimum required libosmium2-dev to 2.15.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 09 Dec 2018 18:08:28 +0100

pyosmium (2.14.4-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to limit matches to archive path.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Oct 2018 16:35:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
                dh-python,
                libboost-dev,
-               libboost-python-dev,
                libbz2-dev,
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.14.2),
+               libosmium2-dev (>= 2.15.0),
                libsparsehash-dev,
+               pybind11-dev,
                python-all-dev,
                python-setuptools,
                python-mock,
@@ -23,7 +24,7 @@
                python3-nose,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,12 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+export DEB_CXXFLAGS_MAINT_APPEND=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
+
 export PYBUILD_NAME=pyosmium
+export PYBUILD_SYSTEM=distutils
+
+export VERBOSE=1
 
 %:
 	dh $@ \

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyosmium-$1.$2/ \
https://github.com/osmcode/pyosmium/releases \
(?:.*?/archive/)?(?:rel|v|pyosmium)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyosmium 2.15.2

=== debian/changelog ===
pyosmium (2.15.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jul 2019 07:29:38 +0200

pyosmium (2.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 10:39:29 +0200

pyosmium (2.15.2-1) unstable; urgency=medium

  * Update dh_install override to use --list-missing.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:11:49 +0200

pyosmium (2.15.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.15.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Mar 2019 07:54:56 +0100

=== debian/control ===
--- 
+++ 
@@ -11,28 +11,24 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.15.0),
+               libosmium2-dev (>= 2.15.1),
                libsparsehash-dev,
                pybind11-dev,
-               python-all-dev,
-               python-setuptools,
-               python-mock,
-               python-nose,
                python3-all-dev,
                python3-setuptools,
                python3-mock,
                python3-nose,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b buster-backports
 Homepage: https://osmcode.org/pyosmium/
 
 Package: pyosmium
 Architecture: all
 Section: utils
-Depends: python-pyosmium (>= ${source:Version}),
+Depends: python3-pyosmium (>= ${source:Version}),
          ${misc:Depends}
 Description: Osmium library bindings for Python - utilities
  The PyOsmium module allows you to access some of the features of the Osmium
@@ -45,26 +41,6 @@
  functions.
  .
  This package contains the PyOsmium utilities.
-
-Package: python-pyosmium
-Architecture: any
-Section: python
-Depends: ${python:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Provides: ${python:Provides}
-Suggests: pyosmium-doc
-Description: Osmium library bindings for Python
- The PyOsmium module allows you to access some of the features of the Osmium
- library from Python code.
- .
- PyOsmium has extensive support for all types of OSM entities: nodes, ways,
- relations, and changesets. It allows reading from OSM files in XML and PBF
- formats, including change files and full history files. Its easy to use
- handler interface allows you to quickly write data filtering and conversion
- functions.
- .
- This package contains the PyOsmium module for Python 2.
 
 Package: python3-pyosmium
 Architecture: any

## pyosmium 2.15.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-find_package(Osmium 2.14 REQUIRED COMPONENTS io pbf xml)
+find_package(Osmium 2.15 REQUIRED COMPONENTS io pbf xml)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS} ${PROTOZERO_INCLUDE_DIR})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/lib)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pyosmium.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pyosmium.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pyosmium"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pyosmium"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pyosmium (2.15.3-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:36 +0100

pyosmium (2.15.3-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:52:42 +0000

pyosmium (2.15.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.15.2.
  * Drop obsolete examples file.
  * Add python3-shapely to (build) dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Aug 2019 08:39:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,18 +11,19 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.15.1),
+               libosmium2-dev (>= 2.15.2),
                libsparsehash-dev,
                pybind11-dev,
                python3-all-dev,
                python3-setuptools,
                python3-mock,
                python3-nose,
+               python3-shapely,
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
-Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git -b buster-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
 
 Package: pyosmium
@@ -49,7 +50,8 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: ${python3:Provides}
-Suggests: pyosmium-doc
+Suggests: python3-shapely,
+          pyosmium-doc
 Description: Osmium library bindings for Python 3
  The PyOsmium module allows you to access some of the features of the Osmium
  library from Python code.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 %:
 	dh $@ \
 	    --buildsystem pybuild \
-	    --with python2,python3 \
+	    --with python3 \
 	    --parallel
 
 override_dh_clean:
@@ -37,7 +37,7 @@
 	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install
 
 override_dh_install:
-	dh_install
+	dh_install --list-missing
 
 	# Remove embedded jquery.js in favor of libjs-jquery
 	$(RM) debian/*/usr/share/doc/*/html/_static/jquery.js

## pyosmium 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
     find_package(pybind11 2.2 REQUIRED)
 endif()
 
-find_package(Boost 1.55 REQUIRED COMPONENTS)
+find_package(Boost 1.41 REQUIRED COMPONENTS)
 include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
 
 function(set_module_output module outdir)

=== debian/changelog ===
pyosmium (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.15.6.
  * Use JavaScript files from libjs-sphinxdoc.
  * Add lintian override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2020 20:06:36 +0200

pyosmium (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 May 2020 06:20:28 +0200

pyosmium (2.15.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Provides: ${python3:Provides}.
  * Mark python3-shapely with <!nocheck> as well.
  * Drop Name field from upstream metadata.
  * Bump minimum required libosmium2-dev to 2.15.4.

  [ Helmut Grohne ]
  * Reduce build dependencies for cross building. (Closes: #946012)
    + Move sphinx dependencies to Build-Depends-Indep.
    + Annotate test dependencies with <!nocheck>.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Feb 2020 19:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,25 @@
 Section: science
 Priority: optional
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 10~),
                dh-python,
                libboost-dev,
                libbz2-dev,
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.15.2),
+               libosmium2-dev (>= 2.15.6),
                libsparsehash-dev,
                pybind11-dev,
                python3-all-dev,
                python3-setuptools,
-               python3-mock,
-               python3-nose,
-               python3-shapely,
+               python3-mock <!nocheck>,
+               python3-nose <!nocheck>,
+               python3-shapely <!nocheck>
+Build-Depends-Indep:
                python3-sphinx,
                python3-sphinxcontrib.autoprogram
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyosmium/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyosmium.git
 Homepage: https://osmcode.org/pyosmium/
@@ -49,7 +50,6 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Provides: ${python3:Provides}
 Suggests: python3-shapely,
           pyosmium-doc
 Description: Osmium library bindings for Python 3
@@ -68,6 +68,7 @@
 Architecture: all
 Section: doc
 Depends: libjs-jquery,
+         libjs-sphinxdoc,
          libjs-underscore,
          ${misc:Depends}
 Description: Osmium library bindings for Python - Documentation
